Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.transform.powerassert
Class Value

    java.lang.Object
      org.codehaus.groovy.transform.powerassert.Value

    public class Value
    extends Object

A value recorded during evaluation of an assertion, along with the column it is associated with in the assertion's normalized source text.

Author:
  Peter Niederwieser

Constructor Summary
Constructor and Description
`Value(Object value, int column)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`int` | `getColumn()`
`Object` | `getValue()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value(Object value,
                 int column)

Method Detail

### getValue

    public Object getValue()

### getColumn

    public int getColumn()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD